## Tcl8.5.14/Tk8.5.14 Documentation > TclCmd > join

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

join - Create a string by joining together list elements

### SYNOPSIS

join list ?joinString?

### DESCRIPTION

The list argument must be a valid Tcl list. This command returns the string formed by joining all of the elements of list together with joinString separating each adjacent pair of elements. The joinString argument defaults to a space character.

### EXAMPLES

Making a comma-separated list:

    set data {1 2 3 4 5}
    join $data ", "
         → 1, 2, 3, 4, 5

Using join to flatten a list by a single level:

    set data {1 {2 3} 4 {5 {6 7} 8}}
    join $data
         → 1 2 3 4 5 {6 7} 8

### SEE ALSO

list, lappend, split

### KEYWORDS

element, join, list, separator
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1993 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.